## net.i2p.router.networkdb.kademlia
Class SearchUpdateReplyFoundJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.SearchUpdateReplyFoundJob

All Implemented Interfaces:
  Job, ReplyJob

     class SearchUpdateReplyFoundJob

extends JobImpl
implements ReplyJob

Called after a match to a db search is found

Constructor Summary
`SearchUpdateReplyFoundJob(RouterContext context, RouterInfo peer, SearchState state, KademliaNetworkDatabaseFacade facade, SearchJob job)`
`SearchUpdateReplyFoundJob(RouterContext context, RouterInfo peer, SearchState state, KademliaNetworkDatabaseFacade facade, SearchJob job, TunnelInfo outTunnel, TunnelInfo replyTunnel)`

Method Summary
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.
`void` `setMessage(I2NPMessage message)`

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.i2p.router.Job
`dropped, getAddedBy, getJobId, getTiming`

Constructor Detail

### SearchUpdateReplyFoundJob

    public SearchUpdateReplyFoundJob(RouterContext context,
                                     RouterInfo peer,
                                     SearchState state,
                                     KademliaNetworkDatabaseFacade facade,
                                     SearchJob job)

### SearchUpdateReplyFoundJob

    public SearchUpdateReplyFoundJob(RouterContext context,
                                     RouterInfo peer,
                                     SearchState state,
                                     KademliaNetworkDatabaseFacade facade,
                                     SearchJob job,
                                     TunnelInfo outTunnel,
                                     TunnelInfo replyTunnel)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

  Specified by:
    `getName` in interface `Job`

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

  Specified by:
    `runJob` in interface `Job`

### setMessage

    public void setMessage(I2NPMessage message)

  Specified by:
    `setMessage` in interface `ReplyJob`